curl --request PATCH \
--url https://api.example.com/v2/cnam-registration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"legal_business_name": "<string>",
"street_address": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"business_type": "<string>",
"business_industry": "<string>",
"registration_id_type": "<string>",
"registration_number": "<string>",
"regions_of_operation": [
"<string>"
],
"website": "<string>",
"contact_first_name": "<string>",
"contact_last_name": "<string>",
"contact_email": "<string>",
"contact_phone": "<string>",
"contact_title": "<string>"
}
'import requests
url = "https://api.example.com/v2/cnam-registration"
payload = {
"display_name": "<string>",
"legal_business_name": "<string>",
"street_address": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"business_type": "<string>",
"business_industry": "<string>",
"registration_id_type": "<string>",
"registration_number": "<string>",
"regions_of_operation": ["<string>"],
"website": "<string>",
"contact_first_name": "<string>",
"contact_last_name": "<string>",
"contact_email": "<string>",
"contact_phone": "<string>",
"contact_title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
display_name: '<string>',
legal_business_name: '<string>',
street_address: '<string>',
city: '<string>',
state: '<string>',
postal_code: '<string>',
country: '<string>',
business_type: '<string>',
business_industry: '<string>',
registration_id_type: '<string>',
registration_number: '<string>',
regions_of_operation: ['<string>'],
website: '<string>',
contact_first_name: '<string>',
contact_last_name: '<string>',
contact_email: '<string>',
contact_phone: '<string>',
contact_title: '<string>'
})
};
fetch('https://api.example.com/v2/cnam-registration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": "<string>",
"status_detail": "<string>",
"display_name": "<string>",
"legal_business_name": "<string>",
"street_address": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"business_type": "<string>",
"business_industry": "<string>",
"registration_id_type": "<string>",
"registration_number": "<string>",
"regions_of_operation": [
"<string>"
],
"website": "<string>",
"contact_first_name": "<string>",
"contact_last_name": "<string>",
"contact_email": "<string>",
"contact_phone": "<string>",
"contact_title": "<string>",
"phone_number": "<string>",
"user_id": "<string>",
"submitted_at": "2023-11-07T05:31:56Z",
"approved_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"object": "<string>"
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}Update Registration
Update CNAM Registration
Edit and resubmit a failed or rejected CNAM registration.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Request body for updating a failed/rejected CNAM registration.
15Response
Successful Response
Current registration status
Human-readable status message or rejection reason
Caller ID display name (max 15 characters)
Legal business name
Business street address
Business city
Business state/province
Business postal code
Business country
Business type, e.g. LLC, Corporation
Business industry, e.g. Technology
Registration ID type, e.g. EIN
Business registration number, e.g. EIN number
Regions of operation, e.g. United States, Canada
Business website URL
Contact first name
Contact last name
Contact email
Contact phone number
Contact job title
Phone number registered for CNAM (e164 format)
User who submitted the registration (null for backfilled records)
When the registration was submitted for processing
When Twilio approved the registration
Error details if registration failed
String representing the object's type. Objects of the same type share the same value.
